Package org.jdesktop.application

# Class ResourceMap.LookupException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.jdesktop.application.ResourceMap.LookupException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `ResourceMap`

public static class ResourceMap.LookupException extends RuntimeException
Unchecked exception thrown by `ResourceMap.getObject(java.lang.String, java.lang.Class)` when resource lookup fails, for example because string conversion fails. This is not a missing resource exception. If a resource isn't defined for a particular key, getObject does not throw an exception.

See Also:
  - `ResourceMap.getObject(java.lang.String, java.lang.Class)`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LookupException(String msg, String key, Class type)`
Constructs an instance of this class with some useful information about the failure.

## Method Summary

Modifier and Type
Method
Description
`String`
`getKey()`
Returns the type of the name of resource for which lookup failed.
`Class`
`getType()`
Returns the type of the resource for which lookup failed.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LookupException

public LookupException(String msg, String key, Class type)
Constructs an instance of this class with some useful information about the failure.

Parameters:
  `msg` - the detail message
  `key` - the name of the resource
  `type` - the type of the resource

## Method Details

### getType

public Class getType()
Returns the type of the resource for which lookup failed.

Returns:
  the resource type

### getKey

public String getKey()
Returns the type of the name of resource for which lookup failed.

Returns:
  the resource name